#-----------------------------------------------------------------------------
#
# ICETConfig.cmake - IceT CMake configuration file for external projects.
#
# This file is configured by IceT and used by the UseICET.cmake module
# to load IceT's settings for an external project.
#
## Copyright 2003 Sandia Coporation
## Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive
## license for use of this work by or on behalf of the U.S. Government.
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that this Notice and any statement
## of authorship are reproduced on all copies.
#
# Id
#

# The IceT include file directories.
SET(ICET_INCLUDE_DIRS "/usrinclude/paraview-3.8")

# The IceT library directories.
SET(ICET_LIBRARY_DIRS "/usrlib64")

# The C and C++ flags added by IceT to the cmake-configured flags.
SET(ICET_REQUIRED_C_FLAGS "")
SET(ICET_REQUIRED_CXX_FLAGS "")

# The IceT version number
SET(ICET_MAJOR_VERSION "1")
SET(ICET_MINOR_VERSION "0")
SET(ICET_PATCH_VERSION "0")

# The location of the UseICET.cmake file.
SET(ICET_USE_FILE "/usrlib64/UseICET.cmake")

# The build settings file.
SET(ICET_BUILD_SETTINGS_FILE "/usrlib64/ICETBuildSettings.cmake")

# The IceT libraries
SET(ICET_CORE_LIBS "/usrlib64/libicet.a" "/usrlib64/libicet_strategies.a")
SET(ICET_MPI_LIBS "/usrlib64/libicet_mpi.a")

# MPI configuration used to build IceT.
SET(ICET_MPI_INCLUDE_PATH "/usr/lib/openmpi/include")
SET(ICET_MPI_LIBRARY "/usr/lib/openmpi/lib/libmpi_cxx.so")
SET(ICET_MPI_EXTRA_LIBRARY "/usr/lib/openmpi/lib/libmpi.so;/usr/lib/openmpi/lib/libopen-rte.so;/usr/lib/openmpi/lib/libopen-pal.so;/usr/lib64/libdl.so;/usr/lib64/libnsl.so;/usr/lib64/libutil.so;/usr/lib64/libm.so;/usr/lib64/libdl.so")
SET(ICET_MPIRUN_EXE "/usr/lib/openmpi/bin/mpiexec")
SET(ICET_MPI_MAX_NUMPROCS "2")
SET(ICET_MPI_PREFLAGS ";-np;2;")
SET(ICET_MPI_POSTFLAGS "")

# Other IceT configuration options.
SET(ICET_BUILD_SHARED_LIBS "OFF")
SET(ICET_BUILD_TESTING "ON")

# The ICET library dependencies.
IF(NOT ICET_NO_LIBRARY_DEPENDS)
  INCLUDE("/usrlib64/ICETLibraryDepends.cmake")
ENDIF(NOT ICET_NO_LIBRARY_DEPENDS)

